> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aventure.vc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aventure.vc/_mcp/server.

# Upsert unified content embedding

PUT https://api.aventure.vc/v1/content/embedding
Content-Type: application/json

Creates or replaces the embedding row for one unified content source and returns 204 with no response body.

Reference: https://docs.aventure.vc/api-reference/a-venture-api/content-embedding/upsert-embedding

## Authentication

- `Authorization` header (bearer token, required) — User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key
- `X-API-Key` header (required) — Admin API key for system-to-system write operations

## Request

### Body (application/json)

- `modelVersion` (string, required) — Embedding model version
- `qwen4bFp16` (list of float, required) — Embedding vector pinned to qwen-4b-fp16 (Qwen3-Embedding-4B-f16.gguf) from https://huggingface.co/Qwen/Qwen3-Embedding-4B-GGUF?show_file_info=Qwen3-Embedding-4B-f16.gguf; only this fp16 model is accepted and exactly 2560 floats are required
- `sourceHash` (string, required) — SHA-256 hash of the source content
- `sourceId` (string, required) — Embedding source identifier
- `sourceJson` (string, required) — Serialized JSON payload stored in JSONB
- `sourceText` (string, required) — Source text used to create the embedding
- `sourceType` (enum, required) — Embedding source type
  - Allowed values: `entity`, `person`, `newsArticle`, `blogPost`, `text`, `classificationTag`, `classificationCode`, `product`, `service`, `agentHelpDoc`

## Response

### 204

No Content

## Examples

**Request**

```json
{
  "modelVersion": "qwen-4b-fp16",
  "qwen4bFp16": [
    1.1
  ],
  "sourceHash": "string",
  "sourceId": "6533",
  "sourceJson": "string",
  "sourceText": "string",
  "sourceType": "entity"
}
```

**SDK Code**

```python
import requests

url = "https://api.aventure.vc/v1/content/embedding"

payload = {
    "modelVersion": "qwen-4b-fp16",
    "qwen4bFp16": [1.1],
    "sourceHash": "string",
    "sourceId": "6533",
    "sourceJson": "string",
    "sourceText": "string",
    "sourceType": "entity"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.aventure.vc/v1/content/embedding';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"modelVersion":"qwen-4b-fp16","qwen4bFp16":[1.1],"sourceHash":"string","sourceId":"6533","sourceJson":"string","sourceText":"string","sourceType":"entity"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aventure.vc/v1/content/embedding"

	payload := strings.NewReader("{\n  \"modelVersion\": \"qwen-4b-fp16\",\n  \"qwen4bFp16\": [\n    1.1\n  ],\n  \"sourceHash\": \"string\",\n  \"sourceId\": \"6533\",\n  \"sourceJson\": \"string\",\n  \"sourceText\": \"string\",\n  \"sourceType\": \"entity\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aventure.vc/v1/content/embedding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"modelVersion\": \"qwen-4b-fp16\",\n  \"qwen4bFp16\": [\n    1.1\n  ],\n  \"sourceHash\": \"string\",\n  \"sourceId\": \"6533\",\n  \"sourceJson\": \"string\",\n  \"sourceText\": \"string\",\n  \"sourceType\": \"entity\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.aventure.vc/v1/content/embedding")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"modelVersion\": \"qwen-4b-fp16\",\n  \"qwen4bFp16\": [\n    1.1\n  ],\n  \"sourceHash\": \"string\",\n  \"sourceId\": \"6533\",\n  \"sourceJson\": \"string\",\n  \"sourceText\": \"string\",\n  \"sourceType\": \"entity\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.aventure.vc/v1/content/embedding', [
  'body' => '{
  "modelVersion": "qwen-4b-fp16",
  "qwen4bFp16": [
    1.1
  ],
  "sourceHash": "string",
  "sourceId": "6533",
  "sourceJson": "string",
  "sourceText": "string",
  "sourceType": "entity"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aventure.vc/v1/content/embedding");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"modelVersion\": \"qwen-4b-fp16\",\n  \"qwen4bFp16\": [\n    1.1\n  ],\n  \"sourceHash\": \"string\",\n  \"sourceId\": \"6533\",\n  \"sourceJson\": \"string\",\n  \"sourceText\": \"string\",\n  \"sourceType\": \"entity\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "modelVersion": "qwen-4b-fp16",
  "qwen4bFp16": [1.1],
  "sourceHash": "string",
  "sourceId": "6533",
  "sourceJson": "string",
  "sourceText": "string",
  "sourceType": "entity"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aventure.vc/v1/content/embedding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```